> ## Documentation Index
> Fetch the complete documentation index at: https://circle-devdocs-test-ai-codegen-component.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Using sandbox to test connectivity and API keys

> Use the Circle sandbox to check your connectivity and verify your API key.

*Circle's sandbox environment is a development tool that allows you to safely
test prototypes and integration without generating actual financial
transactions. Sandbox APIs match those in production, making it easy to move
into the production phase.*

To ensure success, please note the following:

* Before running these tests, make sure that you have a
  [sandbox account](https://app-sandbox.circle.com) and an API key.

## Testing Raw Connectivity

To test raw connectivity, you can use the service health
[ping](/api-reference/circle-mint/general/ping) API endpoint, as below.

<CodeGroup>
  ```curl cURL theme={null}
  curl -H 'Accept: application/json' \
    -X GET --url https://api-sandbox.circle.com/ping
  ```

  ```javascript Javascript theme={null}
  /**
   * See installation instructions at
   * https://developers.circle.com/circle-mint/circle-sdks
   */
  import { Circle, CircleEnvironments } from '@circle-fin/circle-sdk'

  const circle = new Circle('', CircleEnvironments.sandbox)

  async function testApi() {
    const pingResp = await circle.health.ping()
    console.log(pingResp.data)
  }
  testApi()
  ```
</CodeGroup>

<Check>
  **Successful Response**

  If you reached the API endpoint, you’ll see the response \{"message" : "pong"}.
</Check>

## Testing Your API Key

Verify that your API key is set up correctly by using the
[get configuration info](/api-reference/circle-mint/general/get-account-config)
API endpoint, as below.

<CodeGroup>
  ```curl cURL theme={null}
  curl -H 'Accept: application/json' \
    -H "Authorization: Bearer ${YOUR_API_KEY}" \
    -X GET --url https://api-sandbox.circle.com/v1/configuration
  ```

  ```javascript Javascript theme={null}
  /**
   * See installation instructions at
   * https://developers.circle.com/circle-mint/circle-sdks
   */
  import { Circle, CircleEnvironments } from '@circle-fin/circle-sdk'

  const circle = new Circle('<your-api-key>', CircleEnvironments.sandbox)

  async function getAccountConfig() {
    const configResp = await circle.management.getAccountConfig()
    console.log(configResp.data)
  }
  getAccountConfig()
  ```
</CodeGroup>

Successful Response:

```json JSON theme={null}
{ "data": { "payments": { "masterWalletId": "1234567890" } } }
```

Error Response:

```json JSON theme={null}
{
  "code": 401,
  "message": "Malformed authorization. Are the credentials properly encoded?"
}
```
